import 'package:args/args.dart';
import 'package:logging/logging.dart';
import 'package:test/test.dart';
import 'package:ebisu/ebisu.dart';
import 'package:ebisu_cpp/ebisu_cpp.dart';


main() {

  Logger.root.onRecord.listen(
      (LogRecord r) => print("${r.loggerName} [${r.level}]:\t${r.message}"));
  Logger.root.level = Level.INFO;

  final mc = memberCtor(['a'])
    ..tag = 'foo'
    ..customCodeBlock.snippets.add('//goo');

  print('''
includesCustom ${mc.includesProtectBlock}
includesSnippets ${mc.includesSnippets}
includesContent ${mc.includesContent}
''');

  final cls = class_('goo')
    ..memberCtors = [mc]
    ..members = [member('a')..init = 5,];

  print(cls.definition);
}